package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

public class SnCard extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private Long cardId;
    @Excel(name = "卡类型", readConverterExp = "1=日卡,7=周卡,30=月卡,90=季卡,180=半年卡,365=年卡")
    private Integer type;
    private Integer day;
    @Excel(name = "卡密")
    private String code;
    @Excel(name = "状态", readConverterExp = "0=可用,1=已使用")
    private Integer status;
    private transient Integer number;
    private transient String password;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date useTime;
    
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("cardId", this.getCardId()).append("type", this.getType()).append("day", this.getDay()).append("code", this.getCode()).append("status", this.getStatus()).append("userId", this.getUserId()).append("userName", this.getUserName()).append("agentId", this.getAgentId()).append("agentName", this.getAgentName()).append("dealerId", this.getDealerId()).append("dealerName", this.getDealerName()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
    }
    
    public Long getCardId() {
        return this.cardId;
    }
    
    public Integer getType() {
        return this.type;
    }
    
    public Integer getDay() {
        return this.day;
    }
    
    public String getCode() {
        return this.code;
    }
    
    public Integer getStatus() {
        return this.status;
    }
    
    public Integer getNumber() {
        return this.number;
    }
    
    public String getPassword() {
        return this.password;
    }
    
    public Date getUseTime() {
        return this.useTime;
    }
    
    public void setCardId(final Long cardId) {
        this.cardId = cardId;
    }
    
    public void setType(final Integer type) {
        this.type = type;
    }
    
    public void setDay(final Integer day) {
        this.day = day;
    }
    
    public void setCode(final String code) {
        this.code = code;
    }
    
    public void setStatus(final Integer status) {
        this.status = status;
    }
    
    public void setNumber(final Integer number) {
        this.number = number;
    }
    
    public void setPassword(final String password) {
        this.password = password;
    }
    
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public void setUseTime(final Date useTime) {
        this.useTime = useTime;
    }
    
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof SnCard)) {
            return false;
        }
        final SnCard other = (SnCard)o;
        if (!other.canEqual(this)) {
            return false;
        }
        final Object this$cardId = this.getCardId();
        final Object other$cardId = other.getCardId();
        Label_0065: {
            if (this$cardId == null) {
                if (other$cardId == null) {
                    break Label_0065;
                }
            }
            else if (this$cardId.equals(other$cardId)) {
                break Label_0065;
            }
            return false;
        }
        final Object this$type = this.getType();
        final Object other$type = other.getType();
        Label_0102: {
            if (this$type == null) {
                if (other$type == null) {
                    break Label_0102;
                }
            }
            else if (this$type.equals(other$type)) {
                break Label_0102;
            }
            return false;
        }
        final Object this$day = this.getDay();
        final Object other$day = other.getDay();
        Label_0139: {
            if (this$day == null) {
                if (other$day == null) {
                    break Label_0139;
                }
            }
            else if (this$day.equals(other$day)) {
                break Label_0139;
            }
            return false;
        }
        final Object this$status = this.getStatus();
        final Object other$status = other.getStatus();
        Label_0176: {
            if (this$status == null) {
                if (other$status == null) {
                    break Label_0176;
                }
            }
            else if (this$status.equals(other$status)) {
                break Label_0176;
            }
            return false;
        }
        final Object this$code = this.getCode();
        final Object other$code = other.getCode();
        Label_0213: {
            if (this$code == null) {
                if (other$code == null) {
                    break Label_0213;
                }
            }
            else if (this$code.equals(other$code)) {
                break Label_0213;
            }
            return false;
        }
        final Object this$useTime = this.getUseTime();
        final Object other$useTime = other.getUseTime();
        if (this$useTime == null) {
            if (other$useTime == null) {
                return true;
            }
        }
        else if (this$useTime.equals(other$useTime)) {
            return true;
        }
        return false;
    }
    
    protected boolean canEqual(final Object other) {
        return other instanceof SnCard;
    }
    
    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $cardId = this.getCardId();
        result = result * 59 + (($cardId == null) ? 43 : $cardId.hashCode());
        final Object $type = this.getType();
        result = result * 59 + (($type == null) ? 43 : $type.hashCode());
        final Object $day = this.getDay();
        result = result * 59 + (($day == null) ? 43 : $day.hashCode());
        final Object $status = this.getStatus();
        result = result * 59 + (($status == null) ? 43 : $status.hashCode());
        final Object $code = this.getCode();
        result = result * 59 + (($code == null) ? 43 : $code.hashCode());
        final Object $useTime = this.getUseTime();
        result = result * 59 + (($useTime == null) ? 43 : $useTime.hashCode());
        return result;
    }
}
